#  DNLP written by GAMS Convert at 05/24/17 13:23:53
#  
#  Equation counts
#      Total        E        G        L        N        X        C        B
#          4        2        0        2        0        0        0        0
#  
#  Variable counts
#                   x        b        i      s1s      s2s       sc       si
#      Total     cont   binary  integer     sos1     sos2    scont     sint
#          3        3        0        0        0        0        0        0
#  FX      0        0        0        0        0        0        0        0
#  
#  Nonzero counts
#      Total    const       NL      DLL
#          8        2        6        0
# 
#  Reformulation has removed 1 variable and 1 equation


from pyomo.environ import *

model = m = ConcreteModel()


m.x2 = Var(within=Reals,bounds=(-1,2),initialize=0)
m.x3 = Var(within=Reals,bounds=(None,None),initialize=0)

m.obj = Objective(expr=(-1 + m.x2 - m.x3)**2, sense=minimize)

m.c2 = Constraint(expr=m.x2**2 <= 2)

m.c3 = Constraint(expr=(-1 + m.x2)**2 + (-1 + m.x3)**2 <= 3)

m.c4 = Constraint(expr=-m.x2**2 + m.x3 == -1)
